Index: resources/views/dashboard/index.blade.php
===================================================================
--- resources/views/dashboard/index.blade.php	(revision 6b95845bcb5cbd47d72feb8e241175b5fc16d0e0)
+++ resources/views/dashboard/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -674,15 +983,22 @@
 
 @section('script')
-    <!-- Slick -->
-    <script src="{{ url('/vendors/slick/slick.min.js') }}"></script>
 
     <!-- Apex chart -->
+    <script src="https://apexcharts.com/samples/assets/irregular-data-series.js"></script>
     <script src="{{ url('/vendors/charts/apex/apexcharts.min.js') }}"></script>
 
-    <!-- Circle progress -->
-    <script src="{{ url('/vendors/circle-progress/circle-progress.min.js') }}"></script>
+    <!-- Daterangepicker -->
+    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
+
+    <!-- DataTable -->
+    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
 
     <!-- Dashboard scripts -->
     <script src="{{ url('/assets/js/examples/dashboard.js') }}"></script>
+
+    <!-- Vamp -->
+    <script src="{{ url('vendors/vmap/jquery.vmap.min.js') }}"></script>
+    <script src="{{ url('vendors/vmap/maps/jquery.vmap.usa.js') }}"></script>
+    <script src="{{ url('assets/js/examples/vmap.js') }}"></script>
 
     <!-- To use theme colors with Javascript -->
@@ -702,26 +1018,5 @@
     </div>
 
-{{--    <script>--}}
-{{--        $(function () {--}}
-{{--            $('.slick-js').slick({--}}
-{{--                speed: 500,--}}
-{{--                arrows: false,--}}
-{{--                slidesToShow: 1,--}}
-{{--                slidesToScroll: 1,--}}
-{{--                autoplay: true,--}}
-{{--                autoplaySpeed: 2000--}}
-{{--            });--}}
-
-{{--            $('input[name="daterangepicker"]').daterangepicker();--}}
-
-{{--            $('.dataTable').DataTable({--}}
-{{--                lengthMenu: [5, 10],--}}
-{{--                "columnDefs": [ {--}}
-{{--                    "targets": 7,--}}
-{{--                    "orderable": false--}}
-{{--                } ]--}}
-{{--            });--}}
-{{--        })--}}
-{{--    </script>--}}
+    <script src="{{ url('assets/js/examples/pages/ecommerce-dashboard.js') }}"></script>
 
 @endsection
Index: resources/views/dashboard/notifications/index.blade.php
===================================================================
--- resources/views/dashboard/notifications/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ resources/views/dashboard/notifications/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -0,0 +1,68 @@
+@extends('layouts.app')
+
+@section("title", "SaveSpace - Users")
+
+@section('pageTitle', 'Users')
+
+@section('head')
+    <!-- Datatable -->
+    <link rel="stylesheet" href="{{ url('vendors/dataTable/dataTables.min.css') }}" type="text/css">
+
+@endsection
+
+@section('content')
+
+{{--    <div class="page-header justify-content-between">--}}
+{{--        <nav aria-label="breadcrumb" class="d-flex align-items-start">--}}
+{{--            <ol class="breadcrumb">--}}
+{{--                <li class="breadcrumb-item">--}}
+{{--                    <a href="{{ url('dashboard.users') }}">Users</a>--}}
+{{--                </li>--}}
+{{--                <li class="breadcrumb-item active" aria-current="page">User List</li>--}}
+{{--            </ol>--}}
+{{--        </nav>--}}
+{{--        <div class="dropdown">--}}
+{{--            <a href="{{ route("dashboard.users.create") }}" class="btn btn-primary text-white">--}}
+{{--                Add user--}}
+{{--            </a>--}}
+{{--        </div>--}}
+{{--    </div>--}}
+
+    <div class="row">
+        <div class="col-md-12">
+            <div class="card">
+                <div class="card-body">
+                    <div class="table-responsive">
+                        <table id="user-list" class="table table-lg">
+                            <thead>
+                            <tr>
+                                <th></th>
+                                <th>Message</th>
+                                <th>Ago</th>
+                            </tr>
+                            </thead>
+                            <tbody>
+                            @foreach($notifications as $notification)
+                                <tr>
+                                    <td></td>
+                                    <td>{{$notification["message"]}}</td>
+                                    <td>{{$notification["ago"]}}</td>
+
+
+                                </tr>
+                            @endforeach
+                            </tbody>
+                        </table>
+                    </div>
+                </div>
+            </div>
+        </div>
+    </div>
+
+@endsection
+
+@section('script')
+    <script src="{{ url('assets/js/examples/pages/user-list.js') }}"></script>
+    <!-- Datatable -->
+    <script src="{{ url('vendors/dataTable/dataTables.min.js') }}"></script>
+@endsection
Index: resources/views/dashboard/settings/index.blade.php
===================================================================
--- resources/views/dashboard/settings/index.blade.php	(revision 6b95845bcb5cbd47d72feb8e241175b5fc16d0e0)
+++ resources/views/dashboard/settings/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -11,7 +11,7 @@
             <ol class="breadcrumb">
                 <li class="breadcrumb-item">
-                    <a href="{{ url('dashboard/users') }}">Users</a>
+                    <a href="{{ url('/') }}">Dashboard</a>
                 </li>
-                <li class="breadcrumb-item active" aria-current="page">User Settings</li>
+                <li class="breadcrumb-item active" aria-current="page">Settings</li>
             </ol>
         </nav>
@@ -26,5 +26,5 @@
                         <a class="nav-link {{$active_tab == 'account' ? 'active' : ""}}" id="account-tab" data-toggle="pill" href="#account" role="tab" aria-controls="account" aria-selected="true">Account</a>
                         <a class="nav-link {{$active_tab == 'security' ? 'active' : ""}}" id="security-tab" data-toggle="pill" href="#security" role="tab" aria-controls="security" aria-selected="false">Security</a>
-                        <a class="nav-link" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false">Social</a>
+                        <a class="nav-link {{$active_tab == 'file-types' ? 'active' : ""}}" id="file-types-tab" data-toggle="pill" href="#file-types" role="tab" aria-controls="file-types" aria-selected="false">File validation</a>
                     </div>
                 </div>
@@ -227,7 +227,32 @@
                             </div>
                         </div>
-                        <div class="tab-pane fade" id="v-pills-settings" role="tabpanel" aria-labelledby="v-pills-settings-tab">
-                            <div class="card">
-                            </div>
+                        <div class="tab-pane {{$active_tab == 'file-types' ? 'active' : ""}}" id="file-types" role="tabpanel" aria-labelledby="file-types-tab">
+
+                            <div class="card">
+                                    <div class="card-body">
+                                        <h6 class="card-title">File validation</h6>
+                                        <form action="{{ route("dashboard.settings.file-types") }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
+                                            @method("patch")
+                                            @csrf
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Mimes</label>
+                                                        <input type="text" name="mimes" value="{{ $fileType->mimes }}" class="form-control" placeholder="Mimes" required>
+                                                    </div>
+                                                </div>
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label class="form-label">Max file size (in KB)</label>
+                                                        <input type="number" name="max_size" value="{{  $fileType->max_size }}" class="form-control" placeholder="Max file size" autocomplete="off" required>
+                                                        <p class="text-danger p-2">Note: 1 MB = 1024 KB</p>
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <input type="submit" value="Save changes" class="submitBtn btn btn-primary pull-right m-10">
+                                        </form>
+                                    </div>
+                                </div>
+
                         </div>
                     </div>
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision 6b95845bcb5cbd47d72feb8e241175b5fc16d0e0)
+++ resources/views/dashboard/users/index.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -17,13 +17,14 @@
             <ol class="breadcrumb">
                 <li class="breadcrumb-item">
-                    <a href="{{ url('dashboard.users') }}">Users</a>
+                    <a href="{{ url('/') }}">Dashboard</a>
                 </li>
-                <li class="breadcrumb-item active" aria-current="page">User List</li>
+                <li class="breadcrumb-item active" aria-current="page">Users</li>
             </ol>
         </nav>
         <div class="dropdown">
-            <a href="{{ route("dashboard.users.create") }}" class="btn btn-primary text-white">
+            <a href="javascript:void(0)" data-toggle="modal" data-target="#createModal" class="btn btn-primary text-white">
                 Add user
             </a>
+            <a href="{{ route('dashboard.users.export') }}" class="btn btn-success text-white">Export table</a>
         </div>
     </div>
@@ -48,5 +49,4 @@
                                 <th>Role</th>
                                 <th>Status</th>
-                                <th>Last seen</th>
                                 <th>Actions</th>
                             </tr>
@@ -84,17 +84,12 @@
                                     <td>
                                         @if(Cache::has('is_online' . $user->id))
-                                            <span class="text-success">Online</span>
+                                            <span data-toggle="tooltip" data-placement="bottom" title="{{ $user->last_seen }}" style="cursor: pointer;" class="text-success">Online</span>
                                         @else
-                                            <span class="text-secondary">Offline</span>
+                                            <span data-toggle="tooltip" data-placement="bottom" title="{{ $user->last_seen }}" class="text-secondary">Offline</span>
                                         @endif
                                     </td>
-                                    @if($user->last_seen==NULL)
-                                        <td>Never logged in</td>
-                                    @else
-                                    <td>{{ \Carbon\Carbon::parse($user->last_seen)->diffForHumans() }}</td>
-                                    @endif
                                     @if($user->hasRole("Referent") && $user->is_confirmed)
                                         <td>
-                                            <a href="{{ route("dashboard.users.edit", ["id" => $user->id]) }}" class="text-secondary" data-toggle="tooltip" title="Edit">
+                                            <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$user->id}}" title="Edit">
                                                 <i class="ti-pencil"></i>
                                             </a>
@@ -104,12 +99,175 @@
                                         </td>
                                     @else
-                                        <td>Not available</td>
+                                        <td>Admin</td>
                                         @endif
                                 </tr>
+
+                                <div class="modal fade" id="editModal_{{$user->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Edit user</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.users.edit", ["id" =>$user->id]) }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
+                                                    @method("patch")
+                                                    @csrf
+                                                    <div class="row">
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label>Name</label>
+                                                                <input type="text" name="name" value="{{ $user->name }}" minlength="2" maxlength="30" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Name" required>
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label>Surname</label>
+                                                                <input type="text" name="surname" value="{{$user->surname}}" minlength="2" maxlength="30" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Surname" required>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <div class="row">
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Username</label>
+                                                                <input type="text" name="username" value="{{ $user->username }}" minlength="5" maxlength="30" class="form-control" placeholder="Username" required>
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Role</label>
+
+                                                                <select class="form-control" name="userRole" required>
+                                                                    @foreach($roles as $role)
+                                                                        <option value="{{ $role->id }}" {{ $user->role_id == $role->id ? "selected" : "" }}>{{ $role->name }}</option>
+                                                                    @endforeach
+                                                                </select>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <div class="row">
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label>Email</label>
+                                                                <input type="email" name="email" value="{{ $user->email }}" maxlength="50" class="form-control" placeholder="E-mail" required>
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-6">
+                                                            <div class="form-group">
+                                                                <label class="form-label">Phone Number</label>
+                                                                <input type="text" name="phone_number" value="{{ $user->phone_number }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <div class="row">
+                                                        <div class="col-md-5">
+                                                            <div class="form-group">
+                                                                <label>Avatar</label>
+                                                                <input type="file" name="avatar" value="{{ $user->avatar }}" class="form-control" accept="image/*">
+                                                            </div>
+                                                        </div>
+                                                        <div class="col-md-1">
+                                                            <div class="form-group">
+                                                                <label>Current</label>
+                                                                @include('dashboard.partials.avatar')
+                                                            </div>
+                                                        </div>
+                                                    </div>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+
                             @endforeach
-
-
                             </tbody>
                         </table>
+
+                        <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-hidden="true">
+                            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
+                                <div class="modal-content">
+                                    <div class="modal-header">
+                                        <h5 class="modal-title" id="exampleModalCenterTitle">Create user</h5>
+                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                            <i class="ti-close"></i>
+                                        </button>
+                                    </div>
+                                    <div class="modal-body">
+                                        <form action="{{ route("dashboard.users.store") }}" method="post" accept-charset="utf-8" enctype='multipart/form-data'>
+                                            @csrf
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Name</label>
+                                                        <input type="text" name="name" value="{{ old('name') }}" minlength="2" maxlength="25" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Name" required>
+                                                    </div>
+                                                </div>
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Surname</label>
+                                                        <input type="text" name="surname" value="{{ old('surname') }}" minlength="2" maxlength="25" pattern="[a-zA-Zа-шА-Ш._\s]+" class="form-control" placeholder="Surname" required>
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label class="form-label">Username</label>
+                                                        <input type="text" name="username" value="{{ old('username') }}" minlength="5" maxlength="30" class="form-control" placeholder="Username" required>
+                                                    </div>
+                                                </div>
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label class="form-label">Role</label>
+                                                        <select class="form-control" name="userRole" required>
+                                                            @foreach ($roles as $role)
+                                                                <option value="{{ $role->id }}" {{ (old("userRole") == $role->id ? "selected" : "" ) }}>{{ $role->name }}</option>
+                                                            @endforeach
+                                                        </select>
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Email</label>
+                                                        <input type="email" name="email" value="{{ old('email') }}" class="form-control" placeholder="E-mail" required>
+                                                    </div>
+                                                </div>
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label class="form-label">Phone Number</label>
+                                                        <input type="text" name="phone_number" value="{{ old('phone_number') }}" class="form-control" placeholder="Phone number" autocomplete="off" required>
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <div class="row">
+                                                <div class="col-md-6">
+                                                    <div class="form-group">
+                                                        <label>Avatar</label>
+                                                        <input type="file" name="avatar" value="{{ old('avatar') }}" class="form-control" accept="image/*">
+                                                    </div>
+                                                </div>
+                                            </div>
+                                            <div class="modal-footer">
+                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                </button>
+                                                <button type="submit" class="btn btn-primary">Save changes</button>
+                                            </div>
+                                        </form>
+                                    </div>
+                                </div>
+                            </div>
+                        </div>
+
                     </div>
                 </div>
Index: resources/views/layouts/app.blade.php
===================================================================
--- resources/views/layouts/app.blade.php	(revision 6b95845bcb5cbd47d72feb8e241175b5fc16d0e0)
+++ resources/views/layouts/app.blade.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
@@ -17,4 +17,6 @@
 <!-- App styles -->
     <link rel="stylesheet" href="{{ url('assets/css/app.min.css') }}" type="text/css">
+    <link rel="stylesheet" href="{{ url('vendors/lightbox/magnific-popup.css') }}" type="text/css">
+
 </head>
 <body @if (trim($__env->yieldContent('bodyClass'))) class="@yield('bodyClass')" @endif>
@@ -121,4 +123,27 @@
                     <!-- end::header fullscreen -->
 
+                    <!-- begin::header notification dropdown -->
+                    <li class="nav-item dropdown">
+                    <div class="dropdown dropdown-notifications-wrapper dropdown-menu-right dropdown-menu-big">
+                        <a href="javascript:void(0)" class="nav-link dropdown-notifications-unread icon" data-toggle="dropdown">
+                            <i data-feather="bell"></i>
+                            <span class="nav-unread"></span>
+                        </a>
+                        <div class="dropdown-menu dropdown-notifications dropdown-menu-right dropdown-menu-big">
+                            <div class="bg-dark p-4 text-center d-flex justify-content-between align-items-center">
+                                <h5 class="mb-0">Notifications</h5>
+                            </div>
+                            <div class="p-4 text-center align-items-center">
+                            <p class='text-center unreadNotificationsInfo'>No unread notifications</p>
+                            </div>
+                            <div class="dropdown-divider"></div>
+                            <a href="{{ route("dashboard.notifications.index") }}" class="dropdown-item text-center text-muted-dark">See all</a>
+                        </div>
+                    </div>
+                    </li>
+
+{{--                    </li>--}}
+                    <!-- end::header notification dropdown -->
+
                     <!-- begin::user menu -->
                     <li class="nav-item dropdown">
@@ -155,6 +180,6 @@
                     <li>
                         <a href="{{ route("dashboard.index") }}" class="nav-link {{ request()->is('dashboard') ? 'active' : '' }}" data-toggle="tooltip"
-                           data-placement="right" title="Pages">
-                            <i data-feather="copy"></i>
+                           data-placement="right" title="Dashboard">
+                            <i data-feather="home"></i>
                         </a>
                     </li>
@@ -171,12 +196,20 @@
                             <a href="{{route("dashboard.departments.index")}}" data-toggle="tooltip"
                                data-placement="right" title="Departments">
-                                <i data-feather="layers"></i>
-                            </a>
-                        </li>
-                    @endif
-                    @if(auth()->user()->hasPermission("manage_all_documents"))
-                        <li>
-                            <a href="{{route("dashboard.documents.index")}}" data-toggle="tooltip"
-                               data-placement="right" title="Documents">
+                                <i data-feather="grid"></i>
+                            </a>
+                        </li>
+                    @endif
+                    @if(auth()->user()->hasPermission("manage_all_folders"))
+                        <li>
+                            <a href="{{route("dashboard.folders.index")}}" data-toggle="tooltip"
+                               data-placement="right" title="Folders">
+                                <i data-feather="folder"></i>
+                            </a>
+                        </li>
+                    @endif
+                    @if(auth()->user()->hasPermission("manage_all_files"))
+                        <li>
+                            <a href="{{route("dashboard.files.index")}}" data-toggle="tooltip"
+                               data-placement="right" title="Files">
                                 <i data-feather="file-text"></i>
                             </a>
@@ -220,5 +253,12 @@
     var clipboard = new ClipboardJS('.btn');
 </script>
+<script src="{{ url('vendors/lightbox/jquery.magnific-popup.min.js') }}"></script>
+
+<!-- Isotope -->
+<script src="{{ url('vendors/jquery.isotope.min.js') }}"></script>
+
+<script src="{{ url('assets/js/examples/pages/gallery.js') }}"></script>
 @yield('script')
+
 
 @include("layouts.alert")
